.TH X_EDIT l "1 March 2000"
.SH NAME
\fBX_EDIT\fP \- convert between binary and ASCCI xocer correction tables.
.SH SYNOPSIS
\fBx_edit\fP \fB\-I\fP
.SH DESCRIPTION
The purpose of \fBx_edit\fP is to convert between ascii and binary versions
of the crossover correction tables..
.TP
.B \-A
Name of ascii correction table [stdin], write binary table to file given by \fB\-O\fP [stdout].
.TP
.B \-X
Name of binary correction table [stdin], write ascii table to file given by \fB\-O\fP [stdout].
.TP
.B \-O
Name of output correction table [stdout].
.SH EXAMPLES
To convert the binary file crossover_corr.b to ascii and write to stdout, run
.br
\fBx_edit \X\fPcrossover_corr.b > corrections.d
.br
.SH SEE ALSO
.IR gmt (l),
.IR x_system (l)
.SH REFERENCES
Wessel, P. XOVER: A Cross-over Error Detector for Track Data,
\fIComputers & Geosciences, 15\fP, 333-346.
